/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2012 University of Bonn. All rights reserved.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * \file Server.cpp
 *
 *  Created on: Jun 04, 2012
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "JobMarket/server_main.hpp"

// force binding to libMolecuilderJobs
#include "Jobs/MPQCCommandJob_binding.hpp"
#include "Jobs/MPQCJob_binding.hpp"
#ifdef HAVE_VMG
#include "Jobs/VMGJob_binding.hpp"
#include "Jobs/VMGDebugGridJob_binding.hpp"
#endif

int main(int argc, char* argv[])
{
  return server_main(argc, argv);
}

